Subject: bug#78014: 30.1.50; wishlist: gnus nnimap background downloading

From: Christopher Howard <[email-masked]>
Date: Sat, 10 May 2025 08:08:37 -0800

> Is there anything left to do here, or should we close this bug?

I had wrapped two related wishlist items into one: the first item was to speed up the process of working with nnimap messages that have large attachments. You could say this need was met with the ability to download just text parts instead of the attachments.

However, the broader issue is that, once you have lots of groups from multiple backends (nnrss, nnatom, etc) then a common gnus-group-get-new-news call is a blocking process that takes a long time, meaning user might have to wait one or two minutes and cannot do any other work. In other Emacs applications like eww and elpher, downloading and rendering is a non-blocking process. I don't mind if Gnus itself is blocked while downloading, but ideally I should be able to switch to other buffers and do work while I'm waiting for that to finish.

-- 
Christopher Howard